using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioTempRecbtosDiaBanco
    {

        public void Execute(entidadeTempRecbtosDiaBanco objTempRecbtosDiaBanco)
        {
            dalTempRecbtosDiaBanco dalTempRecbtosDiaBanco = null;

            try
            {
                dalTempRecbtosDiaBanco = new dalTempRecbtosDiaBanco();

                dalTempRecbtosDiaBanco.Execute(objTempRecbtosDiaBanco);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Execute_1(entidadeTempRecbtosDiaBanco objTempRecbtosDiaBanco)
        {
            dalTempRecbtosDiaBanco dalTempRecbtosDiaBanco = null;

            try
            {
                dalTempRecbtosDiaBanco = new dalTempRecbtosDiaBanco();

                dalTempRecbtosDiaBanco.Execute_1(objTempRecbtosDiaBanco);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Execute_2(entidadeTempRecbtosDiaBanco objTempRecbtosDiaBanco)
        {
            dalTempRecbtosDiaBanco dalTempRecbtosDiaBanco = null;
            DataTable dt = null;

            try
            {
                dalTempRecbtosDiaBanco = new dalTempRecbtosDiaBanco();
                dt = dalTempRecbtosDiaBanco.Execute_2(objTempRecbtosDiaBanco);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }


    }
}
